%if 0%{?el7}
%define dist .el7
%endif

# revision 91
Name:		libdca
Version:	0.0.7
Release:	1%{?dist}
Summary:	libdca is a free library for decoding DTS Coherent Acoustics streams.

Group:		System Environment/Libraries
License:	GPLv2
URL:		http://www.videolan.org/developers/libdca.html
Source0:	http://download.videolan.org/pub/videolan/libdca/%{version}/%{name}-%{version}.tar.bz2

BuildRoot:		%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	autoconf automake libtool
BuildRequires:  gcc gcc-c++

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
libdca is a free library for decoding DTS Coherent Acoustics streams. It is
released under the terms of the GPL license. The DTS Coherent Acoustics
standard is used in a variety of applications, including DVD, DTS audio CD and
radio broadcasting.

%package devel
Summary:	Libraries for %{name}.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q


%build
autoreconf -ivf
LDFLAGS="$LDFLAGS -lm"
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/dcadec
%{_bindir}/dtsdec
%{_bindir}/extract_dca
%{_bindir}/extract_dts
%{_libdir}/*.so.*
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%exclude %{_libdir}/*.a
%exclude %{_libdir}/*.la

%changelog
* Tue Dec 27 2022 momo-i <webmaster@momo-i.org> - 0.0.7-1
- Update to 0.0.7

* Thu Jul 12 2018 momo-i <webmaster@momo-i.org> - 0.0.6-1
- Update to 0.0.6

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.0.5-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.0.5-3
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 0.0.5-2
- Rebuilt for fc22
